: Class TINICommDriver

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.comm
Class TINICommDriver

    java.lang.Object
      |
      +--com.dalsemi.comm.TINICommDriver

public class TINICommDriver
extends Object
implements javax.comm.CommDriver

This class, part of the loadable device driver interface, is used by `javax.comm` and should not be used by application-level programs.

Constructor Summary
`TINICommDriver()`

Method Summary
`javax.comm.CommPort` | `getCommPort(String name, int type)` `getCommPort()` will be called by `CommPortIdentifier` from its `open()` method.
`void` | `initialize()` initialize() will be called by the CommPortIdentifier's static initializer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TINICommDriver

    public TINICommDriver()

Method Detail

### initialize

    public void initialize()

  initialize() will be called by the CommPortIdentifier's static initializer. The responsibility of this method is:
  1) Ensure that that the hardware is present.
  2) Load any required native libraries.
  3) Register the port names with the CommPortIdentifier.
  Specified by:
    initialize in interface javax.comm.CommDriver

### getCommPort

    public javax.comm.CommPort getCommPort(String name,
                                           int type)

  `getCommPort()` will be called by `CommPortIdentifier` from its `open()` method. `portName` is a string that was registered earlier using the `CommPortIdentifier.addPortName()` method. `getCommPort()` returns an object that extends either SerialPort or ParallelPort.
  Specified by:
    getCommPort in interface javax.comm.CommDriver
  Parameters:
    `name` - a port name
    `type` - a port type
  Returns:
    a CommPort object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD